Loading...
Searching...
No Matches
BALL::VIEW::AddVanDerWaalsModel Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/vanDerWaalsModel.h>`

Inheritance diagram for BALL::VIEW::AddVanDerWaalsModel:

## Public Member Functions

Constructors and Destructor
| AddVanDerWaalsModel ()
| AddVanDerWaalsModel (const AddVanDerWaalsModel &add_van_der_waals_model)
virtual | ~AddVanDerWaalsModel ()
Processor specific methods
virtual Processor::Result | operator() (Composite &composite)
Public Member Functions inherited from BALL::VIEW::AtomBondModelBaseProcessor
| AtomBondModelBaseProcessor ()
| AtomBondModelBaseProcessor (const AtomBondModelBaseProcessor &baseProcessor)
virtual | ~AtomBondModelBaseProcessor ()
virtual void | clear ()
void | set (const AtomBondModelBaseProcessor &processor)
const AtomBondModelBaseProcessor & | operator= (const AtomBondModelBaseProcessor &processor)
virtual void | clearComposites ()
virtual bool | createGeometricObjects ()
Public Member Functions inherited from BALL::VIEW::ModelProcessor
| ModelProcessor ()
| ModelProcessor (const ModelProcessor &model_processor)
virtual | ~ModelProcessor ()
virtual bool | isValid () const
GeometricObjectList & | getGeometricObjects ()
| Return the list with the created geometric objects.
const GeometricObjectList & | getGeometricObjects () const
| Return the list with the created geometric objects.
void | setDrawingPrecision (Index precision)
Index | getDrawingPrecision () const
void | setSurfaceDrawingPrecision (float precision)
float | getSurfaceDrawingPrecision () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()
Public Member Functions inherited from BALL::PropertyManager
BALL_INLINE | PropertyManager ()
| Default constructor.
BALL_INLINE | PropertyManager (const PropertyManager &property_manager)
| Copy constructor.
virtual | ~PropertyManager ()
| Destructor.
virtual void | destroy ()
| Clears all properties.
void | set (const PropertyManager &property_manager)
const PropertyManager & | operator= (const PropertyManager &property_manager)
void | get (PropertyManager &property_manager) const
void | swap (PropertyManager &property_manager)
BitVector & | getBitVector ()
const BitVector & | getBitVector () const
| operator BitVector & ()
void | setProperty (Property property)
void | clearProperty (Property property)
void | toggleProperty (Property property)
Size | countProperties () const
const NamedProperty & | getNamedProperty (Position index) const
NamedProperty & | getNamedProperty (Position index)
void | setProperty (const NamedProperty &property)
void | setProperty (const std::string &name)
void | setProperty (const std::string &name, bool value)
void | setProperty (const std::string &name, int value)
void | setProperty (const std::string &name, unsigned int value)
void | setProperty (const std::string &name, float value)
void | setProperty (const std::string &name, double value)
void | setProperty (const std::string &name, const std::string &value)
void | setProperty (const std::string &name, const PersistentObject &value)
const NamedProperty & | getProperty (const std::string &name) const
NamedPropertyIterator | beginNamedProperty ()
NamedPropertyIterator | endNamedProperty ()
void | clearProperty (const std::string &name)
Size | countNamedProperties () const
bool | hasProperty (Property property) const
| Query for an unnamed property.
bool | hasProperty (const std::string &name) const
| Query for a named property.
bool | operator== (const PropertyManager &pm) const
bool | operator!= (const PropertyManager &pm) const
| Inequality operator.
void | write (PersistenceManager &pm) const
| Persistent stream writing.
bool | read (PersistenceManager &pm)
| Persistent stream reading.
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## debuggers and diagnostics

float | radius_factor_
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setVDWRadiusFactor (float value)
| Default = 1.
float | getVDWRadiusFactor () const

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
void | insertAtom_ (const Atom *atom)
void | clearUsedAtoms_ ()
std::list< const Atom * > & | getAtomList_ ()
HashSet< const Atom * > & | getAtomSet_ ()
void | buildBondModels_ ()
virtual void | visualiseBond_ (const Bond &bond)
virtual void | visualiseRings_ ()
vector< vector< Atom * > > | rings_
HashSet< const Atom * > | ring_atoms_
Protected Attributes inherited from BALL::VIEW::ModelProcessor
GeometricObjectList | geometric_objects_
Index | drawing_precision_
float | surface_drawing_precision_

## Detailed Description

AddVanDerWaalsModel class. AddVanDerWaalsModel is a model processor that is responsible for creating a Van der Waals model. For information about the processor concept see Processor.

Definition at line 24 of file vanDerWaalsModel.h.

## Constructor & Destructor Documentation

## AddVanDerWaalsModel() [1/2]

BALL::VIEW::AddVanDerWaalsModel::AddVanDerWaalsModel | ( |  | ) |

Default Constructor.

## AddVanDerWaalsModel() [2/2]

BALL::VIEW::AddVanDerWaalsModel::AddVanDerWaalsModel | ( | const AddVanDerWaalsModel & | add_van_der_waals_model | ) |

Copy constructor.

## ~AddVanDerWaalsModel()

virtual BALL::VIEW::AddVanDerWaalsModel::~AddVanDerWaalsModel | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## dump()

virtual void BALL::VIEW::AddVanDerWaalsModel::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current state to the output ostream with a given dumping depth. Calls AtomBondModelBaseProcessor::dump.

Parameters

  s | output stream where to output the state
  depth | the dumping depth

Reimplemented from BALL::VIEW::AtomBondModelBaseProcessor.

## getVDWRadiusFactor()

float BALL::VIEW::AddVanDerWaalsModel::getVDWRadiusFactor | ( |  | ) | const

inline

Definition at line 85 of file vanDerWaalsModel.h.

## operator()()

virtual Processor::Result BALL::VIEW::AddVanDerWaalsModel::operator() | ( | Composite & | composite | ) |

virtual

Operator method. This method iterates over each Composite object reachable in the Composite tree. If the Composite is of kind Atom, than a Sphere with radius getVanDerWaalsRadius() is created for that atom, and the atom is appended with the method insertAtom_(). The color for that Sphere object is calculated with the ColorCalculator object retrieved with the method getColorCalculator(). All atoms inserted with the method insertAtom_() will later be used for creating the model of the reachable Bond objects. Those models will be created with the method buildBondModels_().

Parameters

  composite | the Composite object that will be processed

Returns
  Processor::Result the result

Exceptions

  OutOfMemory | thrown if the memory allocation for a Sphere failed

Reimplemented from BALL::VIEW::AtomBondModelBaseProcessor.

## setVDWRadiusFactor()

void BALL::VIEW::AddVanDerWaalsModel::setVDWRadiusFactor | ( | float | value | ) |

inline

Default = 1.

Definition at line 81 of file vanDerWaalsModel.h.

## Member Data Documentation

## radius_factor_

float BALL::VIEW::AddVanDerWaalsModel::radius_factor_

protected

Definition at line 91 of file vanDerWaalsModel.h.